> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mapp.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Get a system user
> Retrieves the system user identified by the specified system user ID, external ID, or email address.Note: It is not required to fill all params fields. It's enough to fill just one field out off three (systemUserId or email)
## OpenAPI
````json GET /systemuser/get
{
"openapi": "3.0.4",
"info": {
"title": "Engage public API",
"version": "1"
},
"servers": [
{
"url": "https://your-engage-domain.com/api/rest"
}
],
"tags": [
{
"name": "Address Attributes"
},
{
"name": "Async"
},
{
"name": "Audit Log"
},
{
"name": "Automation"
},
{
"name": "Blacklist"
},
{
"name": "CMS"
},
{
"name": "Contact"
},
{
"name": "Content"
},
{
"name": "Coupon"
},
{
"name": "Draft Message"
},
{
"name": "Ecommerce"
},
{
"name": "Group"
},
{
"name": "Group Attributes"
},
{
"name": "Landing Page"
},
{
"name": "Member Attributes"
},
{
"name": "Membership"
},
{
"name": "Message"
},
{
"name": "Meta"
},
{
"name": "Mobile Push"
},
{
"name": "Prepared Message"
},
{
"name": "Process"
},
{
"name": "Profile Attributes"
},
{
"name": "Related Data"
},
{
"name": "Segmentation"
},
{
"name": "System"
},
{
"name": "System User"
},
{
"name": "Usage Statistics"
},
{
"name": "User"
},
{
"name": "Whiteboard"
}
],
"paths": {
"/systemuser/get": {
"get": {
"tags": [
"System User"
],
"summary": "Get a system user",
"description": "Retrieves the system user identified by the specified system user ID, external ID, or email address.Note: It is not required to fill all params fields. It's enough to fill just one field out off three (systemUserId or email)",
"operationId": "getSystemUser",
"parameters": [
{
"name": "systemUserId",
"in": "query",
"description": "ID of the user",
"required": true,
"schema": {
"type": "integer",
"format": "int64"
}
},
{
"name": "email",
"in": "query",
"description": "Email of the user",
"required": true,
"schema": {
"type": "string"
}
},
{
"name": "externalId",
"in": "query",
"description": "External ID of the user",
"required": true,
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"description": "",
"content": {
"application/octet-stream": {
"schema": {
"$ref": "#/components/schemas/SystemUser"
}
}
}
},
"400": {
"description": "",
"content": {
"application/octet-stream": {}
}
},
"404": {
"description": "Error response: {
\"errorActor\": \"CLIENT\",
\"errorCode\": \"INVALID_REQUEST\",
\"message\": \"Not Found\"
}",
"content": {
"application/octet-stream": {}
}
}
}
}
}
},
"components": {
"schemas": {
"SystemUser": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64"
},
"type": {
"type": "string"
},
"email": {
"type": "string"
},
"firstName": {
"type": "string"
},
"lastName": {
"type": "string"
},
"language": {
"type": "string"
},
"timeZone": {
"type": "string"
},
"messagingRole": {
"type": "string"
},
"expiryDate": {
"type": "string"
},
"externalId": {
"type": "string"
},
"lastLoginDate": {
"type": "string"
}
}
}
}
}
}
````